<?xml version='1.0' encoding='utf-8'?>
<ComicInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <Series>The Walking Dead Deluxe</Series>
    <Number>84</Number>
    <Web>https://www.amazon.com/dp/B0CW19LHHN</Web>
    <Summary>The idyllic community of Alexandria is no more. Rick makes a last stand to clear out the walker herd as Carl fights for his life.    

This deluxe presentation in STUNNING FULL COLOR also features another installment of Cutting Room Floor and creator commentary.</Summary>
    <Notes>Scraped metadata from Amazon [ASINB0CW19LHHN], [RELDATE:2024-03-06]</Notes>
    <Publisher>Image - Skybound</Publisher>
    <PageCount>34</PageCount>
    <LanguageISO>EN</LanguageISO>
    <Year>2024</Year>
    <Month>5</Month>
</ComicInfo>